MethodCaller (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.classgen.asm, class: MethodCaller

Package org.codehaus.groovy.classgen.asm

# Class MethodCaller

java.lang.Object
org.codehaus.groovy.classgen.asm.MethodCaller

public class MethodCaller extends Object
A helper class to invoke methods more easily in ASM

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MethodCaller()`
  ``
  `MethodCaller(int opcode, Class theClass, String name)`
  ``
  `MethodCaller(int opcode, Class theClass, String name, int parameterCount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `call(org.objectweb.asm.MethodVisitor methodVisitor)`
  `protected Method`
  `getMethod()`
  `String`
  `getMethodDescriptor()`
  `static MethodCaller`
  `newInterface(Class theClass, String name)`
  `static MethodCaller`
  `newStatic(Class theClass, String name)`
  `static MethodCaller`
  `newStatic(Class theClass, String name, int parameterCount)`
  `static MethodCaller`
  `newVirtual(Class theClass, String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodCaller

    protected MethodCaller()
    Since:
      2.5.0

  - ### MethodCaller

    public MethodCaller(int opcode, Class theClass, String name)

  - ### MethodCaller

    public MethodCaller(int opcode, Class theClass, String name, int parameterCount)

- ## Method Details

  - ### newStatic

    public static MethodCaller newStatic(Class theClass, String name)

  - ### newStatic

    public static MethodCaller newStatic(Class theClass, String name, int parameterCount)

  - ### newInterface

    public static MethodCaller newInterface(Class theClass, String name)

  - ### newVirtual

    public static MethodCaller newVirtual(Class theClass, String name)

  - ### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor)

  - ### getMethodDescriptor

    public String getMethodDescriptor()

  - ### getMethod

    protected Method getMethod()